## Script (Python) "getClassMeta"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=classification, format='LOM', class_file='/db/classification/Thokavi-1.0_vdex.xml', ns='', class_rel='/db/classification/Dewey_vdex.xml', lng_rel=[]
##title=returns a classification in meta format from a list of //
##


from Products.CMFCore.utils import getToolByName
gc_tool = getToolByName(context, 'portal_genClass')
gc_props = getToolByName(context, 'portal_properties')['genclass_properties']
exist = gc_tool.getDA()
tp = []
tpr = []
ns, xmlns = gc_tool.getNSandXMLNS(ns)

xmlns = ' xmlns:%s="%s"' % (ns, xmlns)
if ns != '':
    ns += ':'
    
template_class_start = """<%(ns)sclassification>
<%(ns)spurpose>
    <%(ns)ssource>LOMv1.0</%(ns)ssource>
    <%(ns)svalue>discipline</%(ns)svalue>
</%(ns)spurpose>""" % {'ns':ns, }

if lng_rel == []:
    lng_rel = ['fr', ]

template_class_end = """</%(ns)sclassification>""" % {'ns':ns, }

taxon_ids = " ".join(classification)
query = str(context.xq_class_meta) % {'classif':class_file, 
                                      'taxon_ids':taxon_ids, 
                                      'classif_start':template_class_start, 
                                      'classif_end':template_class_end,
                                      'ns':ns,
                                      'lng':" ".join(lng_rel), 
                                      'class_rel':class_rel }


return str(exist.query(query)).replace(xmlns, '').replace("<toremove>", "").replace("</toremove>", "")
